Bug 615723 - Package includes non-free fonts
Summary: Package includes non-free fonts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: e16-themes (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2010-07-18 09:53 UTC by Paul Flo Williams
Modified: 2011-11-05 01:32 UTC (History)
2 users (show)

Fixed In Version: e16-themes-1.0.1-1.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-30 00:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Flo Williams 2010-07-18 09:53:01 UTC
Description of problem:

e16-themes includes 6 fonts (7 font files -- 1 is included twice).

"Aircut OneHundredandOne" and "Rothwell" are fonts by Ray Larabie, which have restrictions on modification and, according to

http://fedoraproject.org/wiki/Licensing#Bad_Licenses_4

may not be included in Fedora.

There are no licence files for these two, but Rothwell is internally marked as "Restricted".

"Geometric 415 Lt BT Lite" and "Geometric 415 Lt BT Lite Italic" are by Bitstream, both marked as "Restricted".

"Vixar ASCI" is by Microsoft, with "Edit/Embed" restriction.

"Zirkle" is of unknown origin, with no licence information other than the internal marking of "Not Restricted".

The affected files are:

/usr/share/e16/themes/BrushedMetal-Tigert/ttfonts/aircut3.ttf
/usr/share/e16/themes/ShinyMetal/ttfonts/aircut3.ttf
/usr/share/e16/themes/ShinyMetal/ttfonts/rothwell.ttf
/usr/share/e16/themes/Ganymede/ttfonts/ganymede.ttf
/usr/share/e16/themes/Ganymede/ttfonts/ganymede_italic.ttf
/usr/share/e16/themes/BlueSteel/ttfonts/vixar.ttf
/usr/share/e16/themes/ShinyMetal/ttfonts/zirkle.ttf

Version-Release number of selected component (if applicable):

e16-themes-1.0.0-1.fc13.noarch

Comment 1 Terje Røsten 2010-07-22 10:31:27 UTC
Thanks for the report. 

I have contacted upstream about this issue.

Comment 2 Bug Zapper 2011-06-01 13:33:44 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-29 13:20:40 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Paul Flo Williams 2011-07-07 17:26:10 UTC
Rebased.

Comment 5 Fedora Update System 2011-10-19 20:05:40 UTC
e16-themes-1.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/e16-themes-1.0.1-1.fc15

Comment 6 Fedora Update System 2011-10-19 20:05:54 UTC
e16-themes-1.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/e16-themes-1.0.1-1.fc14

Comment 7 Fedora Update System 2011-10-19 20:06:07 UTC
e16-themes-1.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/e16-themes-1.0.1-1.fc16

Comment 8 Fedora Update System 2011-10-20 02:24:55 UTC
Package e16-themes-1.0.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing e16-themes-1.0.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14621
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-10-30 00:28:04 UTC
e16-themes-1.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-30 00:31:37 UTC
e16-themes-1.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-05 01:32:17 UTC
e16-themes-1.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.